import {IRequestDto} from "../../tgMdk/IRequestDto";
import {AbstractPaymentRequestDto} from "../AbstractPaymentRequestDto";


export class PaypayAuthorizeRequestDto extends AbstractPaymentRequestDto implements IRequestDto {
    readonly serviceType: string = "paypay";
    readonly serviceCommand: string = "Authorize";


    orderId: string;


    serviceOptionType: string;


    accountingType: string;


    oneTimeCode: string;


    amount: string;


    withCapture: string;


    storeId: string;


    terminalId: string;


    receiptNumber: string;


    settleBizCode: string;


    itemName: string;


    itemId: string;


    successUrl: string;


    cancelUrl: string;


    errorUrl: string;


    pushUrl: string;


    transitionType: string;


    extendParameterType: string;


    private _maskedLog: string;

    get maskedLog(): string {
        return this._maskedLog;
    }

    set maskedLog(value: string) {
        this._maskedLog = value;
    }
}

