import {IRequestDto} from "../../tgMdk/IRequestDto";
import {AbstractPaymentRequestDto} from "../AbstractPaymentRequestDto";


export class PaypayReAuthorizeRequestDto extends AbstractPaymentRequestDto implements IRequestDto {
    readonly serviceType: string = "paypay";
    readonly serviceCommand: string = "ReAuthorize";


    orderId: string;


    serviceOptionType: string;


    originalOrderId: string;


    amount: string;


    itemId: string;


    itemName: string;


    nsfRecoveryFlag: string;


    nsfRecoveryExpiredDatetime: string;


    pushUrl: string;


    private _maskedLog: string;

    get maskedLog(): string {
        return this._maskedLog;
    }

    set maskedLog(value: string) {
        this._maskedLog = value;
    }

}

