import type { IRequestDto } from "../../tgMdk/IRequestDto.js";
import { AbstractPaymentRequestDto } from "../AbstractPaymentRequestDto.js";
export declare class BankAuthorizeRequestDto extends AbstractPaymentRequestDto implements IRequestDto {
    readonly serviceType: string;
    readonly serviceCommand: string;
    serviceOptionType: string;
    orderId: string;
    amount: string;
    name1: string;
    name2: string;
    kana1: string;
    kana2: string;
    post1: string;
    post2: string;
    address1: string;
    address2: string;
    address3: string;
    telNo: string;
    payLimit: string;
    agreementDate: string;
    contents: string;
    contentsKana: string;
    payCsv: string;
    viewLocale: string;
    termUrl: string;
    pushUrl: string;
    pushExpantionFlag: string;
    private _maskedLog;
    get maskedLog(): string;
    set maskedLog(value: string);
}
