export declare class ProperTransactionInfo {
    txnKind: string;
    emTxnType: string;
    centerProcDatetime: string;
    cardType: string;
    cardNo: string;
    cardBrandCode: string;
    settlementStatus: string;
    cvsTxnType: string;
    peTxnType: string;
    receiptNo: string;
    startDatetime: string;
    cardTransactionType: string;
    gatewayRequestDate: string;
    gatewayResponseDate: string;
    centerRequestDate: string;
    centerResponseDate: string;
    centerRequestNumber: string;
    centerReferenceNumber: string;
    reqItemCode: string;
    resItemCode: string;
    reqReturnReferenceNumber: string;
    responsedata: string;
    pending: string;
    loopback: string;
    connectedCenterId: string;
    reqCardNumber: string;
    reqCardExpire: string;
    reqAmount: string;
    reqCardOptionType: string;
    reqMerchantTransaction: string;
    reqAuthCode: string;
    reqAcquirerCode: string;
    reqCardCenter: string;
    reqJpoInformation: string;
    reqSalesDay: string;
    reqCancelDay: string;
    reqWithCapture: string;
    reqWithDirect: string;
    req3dMessageVersion: string;
    req3dTransactionId: string;
    req3dTransactionStatus: string;
    req3dCavvAlgorithm: string;
    req3dCavv: string;
    req3dEci: string;
    req3dDsTransactionId: string;
    req3dServerTransactionId: string;
    reqSecurityCode: string;
    reqAuthFlag: string;
    reqBirthday: string;
    reqTel: string;
    reqFirstKanaName: string;
    reqLastKanaName: string;
    resMerchantTransaction: string;
    resReturnReferenceNumber: string;
    resAuthCode: string;
    resActionCode: string;
    resCenterErrorCode: string;
    resAuthTerm: string;
    reqWithNew: string;
    amount: string;
    txnFixed: string;
    ppTxnType: string;
    centerTxnId: string;
    feeAmount: string;
    exchangeRate: string;
    netRefundAmount: string;
    mpiTransactionType: string;
    reqRedirectionUri: string;
    corporationId: string;
    brandId: string;
    acquirerBinary: string;
    dsLoginId: string;
    crresStatus: string;
    veresStatus: string;
    paresStatus: string;
    paresSign: string;
    paresEci: string;
    authResponseCode: string;
    verifyResponseCode: string;
    res3dMessageVersion: string;
    res3dTransactionId: string;
    res3dDsTransactionId: string;
    res3dServerTransactionId: string;
    res3dTransactionStatus: string;
    res3dCavvAlgorithm: string;
    res3dCavv: string;
    res3dEci: string;
    authRequestDatetime: string;
    authResponseDatetime: string;
    verifyRequestDatetime: string;
    verifyResponseDatetime: string;
    reqCurrencyUnit: string;
    aqAqfWalletBalance: string;
    aqAqfPointBalance: string;
    aqAvailableValue: string;
    upopTxnType: string;
    resUpopSettleAmount: string;
    resUpopSettleDate: string;
    resUpopSettleCurrency: string;
    resUpopExchangeDate: string;
    resUpopExchangeRate: string;
    resUpopOrderId: string;
    centerTradeId: string;
    alipayTxnType: string;
    settleAmount: string;
    settleCurrency: string;
    paymentTime: string;
    settlementTime: string;
    payType: string;
    crResultCode: string;
    detailCommandType: string;
    crRequestDatetime: string;
    crResponseDatetime: string;
    oricoTxnType: string;
    orderStateCode: string;
    approvalNo: string;
    requestDate: string;
    loanPrincipal: string;
    paymentCount: string;
    jpyAmount: string;
    resMcpResponseCode: string;
    rakutenApiErrorCode: string;
    rakutenOrderErrorCode: string;
    rakutenRequestDatetime: string;
    rakutenResponseDatetime: string;
    recruitErrorCode: string;
    recruitRequestDatetime: string;
    recruitResponseDatetime: string;
    linepayErrorCode: string;
    linepayRequestDatetime: string;
    linepayResponseDatetime: string;
    authCode: string;
    referenceNumber: string;
    cardVResultCode: string;
    masterpassRequestDatetime: string;
    masterpassResponseDatetime: string;
    withReconcile: string;
    depositId: string;
    registrationMethod: string;
    depositDate: string;
    transferName: string;
    tenpayErrorCode: string;
    tenpayRequestDatetime: string;
    tenpayResponseDatetime: string;
    resCenterProcessNumber: string;
    resCenterSendDateTime: string;
    storeId: string;
    terminalId: string;
    paypayResultCode: string;
    settleBizCode: string;
    receiptNumber: string;
    itemName: string;
    paypayRequestDatetime: string;
    paypayResponseDatetime: string;
    paypayOnlineTxnId: string;
    paypayErrorCode: string;
    gatewayTransId: string;
    alipayxResultCode: string;
    alipayxRequestDatetime: string;
    alipayxResponseDatetime: string;
    cvspayResultCd: string;
    cvspayRequestDatetime: string;
    cvspayResponseDatetime: string;
    cvspayCancelOrderId: string;
    authorResult: string;
    centerTransactionId: string;
    centerResultCode: string;
    centerStateCode: string;
    centerReasonCode: string;
    merpayErrorCode: string;
    operatorId: string;
    slipCode: string;
    merpayResourceId: string;
    merpayProcessingId: string;
    merpayRequestDatetime: string;
    merpayResponseDatetime: string;
    inquiryCode: string;
    useCredit: string;
    useCoupon: string;
    usePoint: string;
    eposRequestDatetime: string;
    eposResponseDatetime: string;
    reqPaymentType: string;
    reqResponseCode: string;
    fdResult: string;
    frequencyUnit: string;
    frequencyValue: string;
    rakutenApiErrorType: string;
    bankpayErrorCode: string;
    bankpayRequestDatetime: string;
    bankpayResponseDatetime: string;
}
