"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProperTransactionInfo = void 0;
class ProperTransactionInfo {
    txnKind = undefined;
    emTxnType = undefined;
    centerProcDatetime = undefined;
    cardType = undefined;
    cardNo = undefined;
    cardBrandCode = undefined;
    settlementStatus = undefined;
    cvsTxnType = undefined;
    peTxnType = undefined;
    receiptNo = undefined;
    startDatetime = undefined;
    cardTransactionType = undefined;
    gatewayRequestDate = undefined;
    gatewayResponseDate = undefined;
    centerRequestDate = undefined;
    centerResponseDate = undefined;
    centerRequestNumber = undefined;
    centerReferenceNumber = undefined;
    reqItemCode = undefined;
    resItemCode = undefined;
    reqReturnReferenceNumber = undefined;
    responsedata = undefined;
    pending = undefined;
    loopback = undefined;
    connectedCenterId = undefined;
    reqCardNumber = undefined;
    reqCardExpire = undefined;
    reqAmount = undefined;
    reqCardOptionType = undefined;
    reqMerchantTransaction = undefined;
    reqAuthCode = undefined;
    reqAcquirerCode = undefined;
    reqCardCenter = undefined;
    reqJpoInformation = undefined;
    reqSalesDay = undefined;
    reqCancelDay = undefined;
    reqWithCapture = undefined;
    reqWithDirect = undefined;
    req3dMessageVersion = undefined;
    req3dTransactionId = undefined;
    req3dTransactionStatus = undefined;
    req3dCavvAlgorithm = undefined;
    req3dCavv = undefined;
    req3dEci = undefined;
    req3dDsTransactionId = undefined;
    req3dServerTransactionId = undefined;
    reqSecurityCode = undefined;
    reqAuthFlag = undefined;
    reqBirthday = undefined;
    reqTel = undefined;
    reqFirstKanaName = undefined;
    reqLastKanaName = undefined;
    resMerchantTransaction = undefined;
    resReturnReferenceNumber = undefined;
    resAuthCode = undefined;
    resActionCode = undefined;
    resCenterErrorCode = undefined;
    resAuthTerm = undefined;
    reqWithNew = undefined;
    amount = undefined;
    txnFixed = undefined;
    ppTxnType = undefined;
    centerTxnId = undefined;
    feeAmount = undefined;
    exchangeRate = undefined;
    netRefundAmount = undefined;
    mpiTransactionType = undefined;
    reqRedirectionUri = undefined;
    corporationId = undefined;
    brandId = undefined;
    acquirerBinary = undefined;
    dsLoginId = undefined;
    crresStatus = undefined;
    veresStatus = undefined;
    paresStatus = undefined;
    paresSign = undefined;
    paresEci = undefined;
    authResponseCode = undefined;
    verifyResponseCode = undefined;
    res3dMessageVersion = undefined;
    res3dTransactionId = undefined;
    res3dDsTransactionId = undefined;
    res3dServerTransactionId = undefined;
    res3dTransactionStatus = undefined;
    res3dCavvAlgorithm = undefined;
    res3dCavv = undefined;
    res3dEci = undefined;
    authRequestDatetime = undefined;
    authResponseDatetime = undefined;
    verifyRequestDatetime = undefined;
    verifyResponseDatetime = undefined;
    reqCurrencyUnit = undefined;
    aqAqfWalletBalance = undefined;
    aqAqfPointBalance = undefined;
    aqAvailableValue = undefined;
    upopTxnType = undefined;
    resUpopSettleAmount = undefined;
    resUpopSettleDate = undefined;
    resUpopSettleCurrency = undefined;
    resUpopExchangeDate = undefined;
    resUpopExchangeRate = undefined;
    resUpopOrderId = undefined;
    centerTradeId = undefined;
    alipayTxnType = undefined;
    settleAmount = undefined;
    settleCurrency = undefined;
    paymentTime = undefined;
    settlementTime = undefined;
    payType = undefined;
    crResultCode = undefined;
    detailCommandType = undefined;
    crRequestDatetime = undefined;
    crResponseDatetime = undefined;
    oricoTxnType = undefined;
    orderStateCode = undefined;
    approvalNo = undefined;
    requestDate = undefined;
    loanPrincipal = undefined;
    paymentCount = undefined;
    jpyAmount = undefined;
    resMcpResponseCode = undefined;
    rakutenApiErrorCode = undefined;
    rakutenOrderErrorCode = undefined;
    rakutenRequestDatetime = undefined;
    rakutenResponseDatetime = undefined;
    recruitErrorCode = undefined;
    recruitRequestDatetime = undefined;
    recruitResponseDatetime = undefined;
    linepayErrorCode = undefined;
    linepayRequestDatetime = undefined;
    linepayResponseDatetime = undefined;
    authCode = undefined;
    referenceNumber = undefined;
    cardVResultCode = undefined;
    masterpassRequestDatetime = undefined;
    masterpassResponseDatetime = undefined;
    withReconcile = undefined;
    depositId = undefined;
    registrationMethod = undefined;
    depositDate = undefined;
    transferName = undefined;
    tenpayErrorCode = undefined;
    tenpayRequestDatetime = undefined;
    tenpayResponseDatetime = undefined;
    resCenterProcessNumber = undefined;
    resCenterSendDateTime = undefined;
    storeId = undefined;
    terminalId = undefined;
    paypayResultCode = undefined;
    settleBizCode = undefined;
    receiptNumber = undefined;
    itemName = undefined;
    paypayRequestDatetime = undefined;
    paypayResponseDatetime = undefined;
    paypayOnlineTxnId = undefined;
    paypayErrorCode = undefined;
    gatewayTransId = undefined;
    alipayxResultCode = undefined;
    alipayxRequestDatetime = undefined;
    alipayxResponseDatetime = undefined;
    cvspayResultCd = undefined;
    cvspayRequestDatetime = undefined;
    cvspayResponseDatetime = undefined;
    cvspayCancelOrderId = undefined;
    authorResult = undefined;
    centerTransactionId = undefined;
    centerResultCode = undefined;
    centerStateCode = undefined;
    centerReasonCode = undefined;
    merpayErrorCode = undefined;
    operatorId = undefined;
    slipCode = undefined;
    merpayResourceId = undefined;
    merpayProcessingId = undefined;
    merpayRequestDatetime = undefined;
    merpayResponseDatetime = undefined;
    inquiryCode = undefined;
    useCredit = undefined;
    useCoupon = undefined;
    usePoint = undefined;
    eposRequestDatetime = undefined;
    eposResponseDatetime = undefined;
    reqPaymentType = undefined;
    reqResponseCode = undefined;
    fdResult = undefined;
    frequencyUnit = undefined;
    frequencyValue = undefined;
    rakutenApiErrorType = undefined;
    bankpayErrorCode = undefined;
    bankpayRequestDatetime = undefined;
    bankpayResponseDatetime = undefined;
}
exports.ProperTransactionInfo = ProperTransactionInfo;
//# sourceMappingURL=ProperTransactionInfo.js.map